petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawAxisCreate

Generate the axis data structure.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawAxisCreate(PetscDraw draw,PetscDrawAxis *axis)

Collective on PetscDraw

### Input Parameters

win -PetscDraw object where axis to to be made

### Ouput Parameters

axis -the axis datastructure

### Notes

the MPI communicator that owns the underlying draw object owns the PetscDrawAxis object, but calls to set PetscDrawAxis options are ignored by all processes except the first MPI process in the communicator

### See Also

PetscDrawLGCreate(), PetscDrawLG, PetscDrawSPCreate(), PetscDrawSP, PetscDrawHGCreate(), PetscDrawHG, PetscDrawBarCreate(), PetscDrawBar, PetscDrawLGGetAxis(), PetscDrawSPGetAxis(),
PetscDrawHGGetAxis(), PetscDrawBarGetAxis(), PetscDrawAxis, PetscDrawAxisDestroy(), PetscDrawAxisSetColors(), PetscDrawAxisSetLabels(), PetscDrawAxisSetLimits(), PetscDrawAxisGetLimits(), PetscDrawAxisSetHoldLimits(), PetscDrawAxisDraw()

### Level

advanced

### Location

src/sys/classes/draw/utils/axisc.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages